# $Id: perl-URPM.spec 36978 2006-06-12 10:31:28Z rafael $

%define name perl-URPM
%define real_name URPM
%define version 3.38.1.1
%define release %mkrel 2

%define group %(perl -e 'printf "%%s\\n", "%_vendor" =~ /\\bmandr|\\bmageia/i ? "Development/Perl" : "Applications/CPAN"')
%define rpm_version %(rpm -q --queryformat '%|EPOCH?{[%{EPOCH}:%{VERSION}]}:{%{VERSION}}|' rpm)

%{expand:%%define compat_makeinstall_std %(perl -e 'printf "%%s\n", "%{?makeinstall_std:1}" ? "%%makeinstall_std" : "%%{__make} install PREFIX=%%{buildroot}%%{_prefix}"')}
%{expand:%%define compat_perl_vendorarch %(perl -MConfig -e 'printf "%%s\n", "%{?perl_vendorarch:1}" ? "%%{perl_vendorarch}" : "$Config{installvendorarch}"')}

Summary:	URPM module for perl
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		%{group}
Source:		%{real_name}-%{version}.tar.bz2
URL:		http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/rpm/perl-URPM/
BuildRequires:	perl-devel
BuildRequires:	rpm-devel
BuildRequires:	perl(MDV::Packdrakeng)

# we can now expect librpm API to be backward compatible
Requires:	rpm >= %{rpm_version}
# needs rpm patched w/o libio:
Requires:	rpm >= 4.8.1-10.3.mga1
Requires:	perl(MDV::Packdrakeng)
Provides:	perl(URPM::Build) = %{version}-%{release}
Provides:	perl(URPM::Resolve) = %{version}-%{release}
Provides:	perl(URPM::Signature) = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%define _requires_exceptions perl(URPM::DB)\\|perl(URPM::Package)\\|perl(URPM::Transaction)

%description
The URPM module allows you to manipulate rpm files, rpm header files and
hdlist files and manage them in memory.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
# (tv) fix segfaulting (#61144); -O1 is OK, -O2 is not, the flag that made the difference is -fno-gcse:
# (tv) 2011-03-07: -fno-gcse is no more enough with newer gcc:
%{__make} OPTIMIZE="$RPM_OPT_FLAGS -O1"

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%{compat_makeinstall_std}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog
%{_mandir}/man3/*
%{compat_perl_vendorarch}/URPM.pm
%{compat_perl_vendorarch}/URPM
%dir %{compat_perl_vendorarch}/auto/URPM
%{compat_perl_vendorarch}/auto/URPM/URPM.so



%changelog

* Thu Mar 01 2012 tv <tv> 3.38.1.1-2.mga1
+ Revision: 216321
- requires a fixed rpm
- do not add FILENAME_TAG to hdlist anymore (unused since mdv2008)
- fix computing size of added/freed disk space when updating involves removing
  some packages (mga#4427)
- fix for a rare crash (mga#4425)
- fix slow matching of individual regexes for skipping dependencies by creating
  a large regex to match them all at once (mdv#61389, Shlomi Fish)
- put real package file sizes in synthesis
- really prefer packages from first media, thus fixing downloading noarch
  packages from 32 bit repository (mga#1603)
- support kernel 3.x in kmod resolution
- switch from forking unpacker to using librpm

* Thu Apr 21 2011 tv <tv> 3.38.1-1.mga1
+ Revision: 89380
- fix crashing while removing several packages (#248)
- enable to compile with rpm-4.9.x

  + misc <misc>
    - clean BR and conflict

* Mon Mar 07 2011 tv <tv> 3.38-4.mga1
+ Revision: 65812
- try harder/again to fix bug #248 (MDV#61144)
  (-fno-gcse might not be enough with newer gcc)

* Tue Mar 01 2011 dmorgan <dmorgan> 3.38-3.mga1
+ Revision: 62050
- Rebuild against rpm 4.8.1

* Tue Jan 18 2011 blino <blino> 3.38-2.mga1
+ Revision: 23454
- buildrequire perl-devel
- use Development/Perl for Mageia as well
- remove old release hack

  + nanardon <nanardon>
    - kill empty lines

  + jquelin <jquelin>
    - imported package perl-URPM

